CVE-2012-3954

NameCVE-2012-3954
DescriptionMultiple memory leaks in ISC DHCP 4.1.x and 4.2.x before 4.2.4-P1 and 4.1-ESV before 4.1-ESV-R6 allow remote attackers to cause a denial of service (memory consumption) by sending many requests.
SourceCVE (at NVD; oss-sec, fulldisc, OSVDB, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, more)
ReferencesDSA-2516-1, DSA-2519-1, DSA-2519-2
NVD severitylow (attack range: remote)
Debian Bugs686174
Debian/oldstablenot vulnerable.
Debian/stablenot vulnerable.
Debian/testingnot vulnerable.
Debian/unstablenot vulnerable.

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
isc-dhcp (PTS)squeeze (security), squeeze4.1.1-P1-15+squeeze8fixed
wheezy4.2.2.dfsg.1-5+deb70u6fixed
jessie, sid4.3.1-6fixed

The information above is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
isc-dhcpsource(unstable)4.2.4-2low686174
isc-dhcpsourcesqueeze4.1.1-P1-15+squeeze6lowDSA-2519-2
isc-dhcpsourcewheezy4.2.2.dfsg.1-5+deb70u1low

Search for package or bug name: Reporting problems